using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace porez_frilenserima
{
    class Program
    {
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            long[] A = new long[n];
            int[] P = new int[n];
            long porez = 0;
            long maxporez = 0;
            for(long i=0;i<n;i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                A[i] = long.Parse(s[0]);
                P[i] = int.Parse(s[1]);

            }
            for(int i=0;i<n;i++)
            {
                for(int j=0;j<n;j++)
                {
                    if(P[j]<=P[i])
                    {
                        porez += P[j]*A[j]/100;
                    }
                }
                if (porez > maxporez)
                    maxporez = porez;
                porez = 0;
            }
            Console.WriteLine(maxporez);

        }
    }
}